// $Id: DebugMenu.h,v 1.10 2009/09/09 02:29:36 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file DebugMenu.h
  \brief some basic runtime debuging
  \author Hugo Pereira
  \version $Revision: 1.10 $
  \date $Date: 2009/09/09 02:29:36 $
*/

#ifndef _DebugMenu_h_
#define _DebugMenu_h_

#include <QMenu>
#include <QDialog>

#include "Counter.h"

class CounterDialog;
class PixmapCacheDialog;

/*!
  \class DebugMenu
  \brief some basic runtime debuging
*/

class DebugMenu: public QMenu, public Counter
{

  //! Qt meta object declaration
  Q_OBJECT

  public:

  //! flags
  enum Flag
  {
    COUNTERS = 1<<0,
    ICONS = 1<<2,
    SYSTEM = 1<<3,
    OPTIONS = 1<<4,
    DEFAULT = COUNTERS | ICONS | SYSTEM | OPTIONS
  };

  //! constructor
  DebugMenu( QWidget* parent, unsigned int flags = DEFAULT );

  //! destructor
  ~DebugMenu( void )
  {}

  private slots:

  //! print object counters
  void _showCounterDialog( void );

  //! icon cache dialog
  void _showPixmapCacheDialog( void );

  //! show system environment
  void _showSystemEnvironment( void );

  //! show options
  void _showOptions( void );

  private:

  //! non modal Counter dialog
  CounterDialog* counter_dialog_;

  //! non modal icon cache dialog
  PixmapCacheDialog* pixmap_cache_dialog_;

};
#endif
